in scala.runtime
class BoxedArray

abstract `class` BoxedArray
  `extends` java.lang.Object
  `with` scala.PartialFunction[scala.Int,java.lang.Object]
  `with` scala.Seq[java.lang.Object]
  `with` scala.ScalaObject

  A class representing Array[T]

Constructor Summary
| `def` this

Def Summary
| `def` apply ( index : scala.Int ) : java.lang.Object The element at given index
| `def` copyFrom ( src : java.lang.Object , from : scala.Int , to : scala.Int , len : scala.Int ) : scala.Unit
| `def` copyTo ( from : scala.Int , dest : java.lang.Object , to : scala.Int , len : scala.Int ) : scala.Unit
| `def` elements : java.lang.Object with scala.Iterator[java.lang.Object]
| `def` filter ( p : (scala.Any) => scala.Boolean ) : java.lang.Object
`final` | `def` flatMap [ b ] ( f : (scala.Any) => scala.Array[b] ) : scala.Array[b]
`override` | `def` isDefinedAt ( x : scala.Int ) : scala.Boolean
| `def` length : scala.Int The length of the array
`final` | `def` map [ b ] ( f : (scala.Any) => b ) : scala.Array[b]
`final` `override` | `def` stringPrefix : java.lang.String
| `def` subArray ( from : scala.Int , end : scala.Int ) : java.lang.Object
`override` | `def` toArray [ java.lang.Object <: b ] : scala.Array[b]
| `def` unbox ( elemClass : java.lang.Class ) : java.lang.Object
| `def` unbox ( elemTag : java.lang.String ) : java.lang.Object Convert to Java array.
| `def` update ( index : scala.Int , elem : java.lang.Object ) : scala.Unit Update element at given index
| `def` value : java.lang.Object The underlying array value
`final` | `def` zip [ b ] ( that : scala.Array[b] ) : scala.Array[scala.Tuple2[java.lang.Object,b]]
`final` | `def` zipWithIndex : scala.Array[scala.Tuple2[java.lang.Object,scala.Int]]

Constructor Detail

`def` this

Def Detail

`def` apply ( index : scala.Int ) : java.lang.Object

  The element at given index

`def` copyFrom ( src : java.lang.Object , from : scala.Int , to : scala.Int , len : scala.Int ) : scala.Unit

`def` copyTo ( from : scala.Int , dest : java.lang.Object , to : scala.Int , len : scala.Int ) : scala.Unit

`def` elements : java.lang.Object with scala.Iterator[java.lang.Object]

`def` filter ( p : (scala.Any) => scala.Boolean ) : java.lang.Object

final `def` flatMap [ b ]( f : (scala.Any) => scala.Array[b] ) : scala.Array[b]

override `def` isDefinedAt ( x : scala.Int ) : scala.Boolean

`def` length : scala.Int

  The length of the array

final `def` map [ b ]( f : (scala.Any) => b ) : scala.Array[b]

final override `def` stringPrefix : java.lang.String

`def` subArray ( from : scala.Int , end : scala.Int ) : java.lang.Object

override `def` toArray [ java.lang.Object <: b ] : scala.Array[b]

`def` unbox ( elemClass : java.lang.Class ) : java.lang.Object

`def` unbox ( elemTag : java.lang.String ) : java.lang.Object

  Convert to Java array.

param:
  elemTag Either one of the tags ".N" where N is the name of a primitive type (
see:
  ScalaRunTime), or a full class name.

`def` update ( index : scala.Int , elem : java.lang.Object ) : scala.Unit

  Update element at given index

`def` value : java.lang.Object

  The underlying array value

final `def` zip [ b ]( that : scala.Array[b] ) : scala.Array[scala.Tuple2[java.lang.Object,b]]

final `def` zipWithIndex : scala.Array[scala.Tuple2[java.lang.Object,scala.Int]]